package com.mortals.xhx.base.system.param.model;

import java.util.List;
import com.mortals.xhx.base.system.param.model.ParamEntity;
/**
* 参数信息业务查询对象
*
* @author zxfei
* @date 2024-09-06
*/
public class ParamQuery extends ParamEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 参数名称 */
    private List<String> nameList;

    /** 参数名称排除列表 */
    private List <String> nameNotList;
    /** 一级组织，如：平台配置 */
    private List<String> firstOrganizeList;

    /** 一级组织，如：平台配置排除列表 */
    private List <String> firstOrganizeNotList;
    /** 二级组织，如：基础配置 */
    private List<String> secondOrganizeList;

    /** 二级组织，如：基础配置排除列表 */
    private List <String> secondOrganizeNotList;
    /** 参数键，全局唯一 */
    private List<String> paramKeyList;

    /** 参数键，全局唯一排除列表 */
    private List <String> paramKeyNotList;
    /** 参数值 */
    private List<String> paramValueList;

    /** 参数值排除列表 */
    private List <String> paramValueNotList;
    /** 开始 参数有效状态(0.禁用，1.启用) */
    private Integer validStatusStart;

    /** 结束 参数有效状态(0.禁用，1.启用) */
    private Integer validStatusEnd;

    /** 增加 参数有效状态(0.禁用，1.启用) */
    private Integer validStatusIncrement;

    /** 参数有效状态(0.禁用，1.启用)列表 */
    private List <Integer> validStatusList;

    /** 参数有效状态(0.禁用，1.启用)排除列表 */
    private List <Integer> validStatusNotList;

    /** 开始 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除) */
    private Integer modStatusStart;

    /** 结束 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除) */
    private Integer modStatusEnd;

    /** 增加 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除) */
    private Integer modStatusIncrement;

    /** 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)列表 */
    private List <Integer> modStatusList;

    /** 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)排除列表 */
    private List <Integer> modStatusNotList;

    /** 开始 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框) */
    private Integer displayTypeStart;

    /** 结束 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框) */
    private Integer displayTypeEnd;

    /** 增加 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框) */
    private Integer displayTypeIncrement;

    /** 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)列表 */
    private List <Integer> displayTypeList;

    /** 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)排除列表 */
    private List <Integer> displayTypeNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 创建用户名称 */
    private List<String> updateUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> updateUserNameNotList;
    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ParamQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ParamQuery> andConditionList;

    public ParamQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 参数名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 参数名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 参数名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 参数名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 一级组织，如：平台配置
    * @return firstOrganizeList
    */
    public List<String> getFirstOrganizeList(){
        return this.firstOrganizeList;
    }

    /**
    * 设置 一级组织，如：平台配置
    * @param firstOrganizeList
    */
    public void setFirstOrganizeList(List<String> firstOrganizeList){
        this.firstOrganizeList = firstOrganizeList;
    }

    /**
    * 获取 一级组织，如：平台配置
    * @return firstOrganizeNotList
    */
    public List<String> getFirstOrganizeNotList(){
        return this.firstOrganizeNotList;
    }

    /**
    * 设置 一级组织，如：平台配置
    * @param firstOrganizeNotList
    */
    public void setFirstOrganizeNotList(List<String> firstOrganizeNotList){
        this.firstOrganizeNotList = firstOrganizeNotList;
    }

    /**
    * 获取 二级组织，如：基础配置
    * @return secondOrganizeList
    */
    public List<String> getSecondOrganizeList(){
        return this.secondOrganizeList;
    }

    /**
    * 设置 二级组织，如：基础配置
    * @param secondOrganizeList
    */
    public void setSecondOrganizeList(List<String> secondOrganizeList){
        this.secondOrganizeList = secondOrganizeList;
    }

    /**
    * 获取 二级组织，如：基础配置
    * @return secondOrganizeNotList
    */
    public List<String> getSecondOrganizeNotList(){
        return this.secondOrganizeNotList;
    }

    /**
    * 设置 二级组织，如：基础配置
    * @param secondOrganizeNotList
    */
    public void setSecondOrganizeNotList(List<String> secondOrganizeNotList){
        this.secondOrganizeNotList = secondOrganizeNotList;
    }

    /**
    * 获取 参数键，全局唯一
    * @return paramKeyList
    */
    public List<String> getParamKeyList(){
        return this.paramKeyList;
    }

    /**
    * 设置 参数键，全局唯一
    * @param paramKeyList
    */
    public void setParamKeyList(List<String> paramKeyList){
        this.paramKeyList = paramKeyList;
    }

    /**
    * 获取 参数键，全局唯一
    * @return paramKeyNotList
    */
    public List<String> getParamKeyNotList(){
        return this.paramKeyNotList;
    }

    /**
    * 设置 参数键，全局唯一
    * @param paramKeyNotList
    */
    public void setParamKeyNotList(List<String> paramKeyNotList){
        this.paramKeyNotList = paramKeyNotList;
    }

    /**
    * 获取 参数值
    * @return paramValueList
    */
    public List<String> getParamValueList(){
        return this.paramValueList;
    }

    /**
    * 设置 参数值
    * @param paramValueList
    */
    public void setParamValueList(List<String> paramValueList){
        this.paramValueList = paramValueList;
    }

    /**
    * 获取 参数值
    * @return paramValueNotList
    */
    public List<String> getParamValueNotList(){
        return this.paramValueNotList;
    }

    /**
    * 设置 参数值
    * @param paramValueNotList
    */
    public void setParamValueNotList(List<String> paramValueNotList){
        this.paramValueNotList = paramValueNotList;
    }

    /**
    * 获取 开始 参数有效状态(0.禁用，1.启用)
    * @return validStatusStart
    */
    public Integer getValidStatusStart(){
        return this.validStatusStart;
    }

    /**
    * 设置 开始 参数有效状态(0.禁用，1.启用)
    * @param validStatusStart
    */
    public void setValidStatusStart(Integer validStatusStart){
        this.validStatusStart = validStatusStart;
    }

    /**
    * 获取 结束 参数有效状态(0.禁用，1.启用)
    * @return $validStatusEnd
    */
    public Integer getValidStatusEnd(){
        return this.validStatusEnd;
    }

    /**
    * 设置 结束 参数有效状态(0.禁用，1.启用)
    * @param validStatusEnd
    */
    public void setValidStatusEnd(Integer validStatusEnd){
        this.validStatusEnd = validStatusEnd;
    }

    /**
    * 获取 增加 参数有效状态(0.禁用，1.启用)
    * @return validStatusIncrement
    */
    public Integer getValidStatusIncrement(){
        return this.validStatusIncrement;
    }

    /**
    * 设置 增加 参数有效状态(0.禁用，1.启用)
    * @param validStatusIncrement
    */
    public void setValidStatusIncrement(Integer validStatusIncrement){
        this.validStatusIncrement = validStatusIncrement;
    }

    /**
    * 获取 参数有效状态(0.禁用，1.启用)
    * @return validStatusList
    */
    public List<Integer> getValidStatusList(){
        return this.validStatusList;
    }

    /**
    * 设置 参数有效状态(0.禁用，1.启用)
    * @param validStatusList
    */
    public void setValidStatusList(List<Integer> validStatusList){
        this.validStatusList = validStatusList;
    }

    /**
    * 获取 参数有效状态(0.禁用，1.启用)
    * @return validStatusNotList
    */
    public List<Integer> getValidStatusNotList(){
        return this.validStatusNotList;
    }

    /**
    * 设置 参数有效状态(0.禁用，1.启用)
    * @param validStatusNotList
    */
    public void setValidStatusNotList(List<Integer> validStatusNotList){
        this.validStatusNotList = validStatusNotList;
    }


    /**
    * 获取 开始 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @return modStatusStart
    */
    public Integer getModStatusStart(){
        return this.modStatusStart;
    }

    /**
    * 设置 开始 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusStart
    */
    public void setModStatusStart(Integer modStatusStart){
        this.modStatusStart = modStatusStart;
    }

    /**
    * 获取 结束 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @return $modStatusEnd
    */
    public Integer getModStatusEnd(){
        return this.modStatusEnd;
    }

    /**
    * 设置 结束 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusEnd
    */
    public void setModStatusEnd(Integer modStatusEnd){
        this.modStatusEnd = modStatusEnd;
    }

    /**
    * 获取 增加 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @return modStatusIncrement
    */
    public Integer getModStatusIncrement(){
        return this.modStatusIncrement;
    }

    /**
    * 设置 增加 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusIncrement
    */
    public void setModStatusIncrement(Integer modStatusIncrement){
        this.modStatusIncrement = modStatusIncrement;
    }

    /**
    * 获取 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @return modStatusList
    */
    public List<Integer> getModStatusList(){
        return this.modStatusList;
    }

    /**
    * 设置 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusList
    */
    public void setModStatusList(List<Integer> modStatusList){
        this.modStatusList = modStatusList;
    }

    /**
    * 获取 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @return modStatusNotList
    */
    public List<Integer> getModStatusNotList(){
        return this.modStatusNotList;
    }

    /**
    * 设置 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusNotList
    */
    public void setModStatusNotList(List<Integer> modStatusNotList){
        this.modStatusNotList = modStatusNotList;
    }


    /**
    * 获取 开始 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @return displayTypeStart
    */
    public Integer getDisplayTypeStart(){
        return this.displayTypeStart;
    }

    /**
    * 设置 开始 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeStart
    */
    public void setDisplayTypeStart(Integer displayTypeStart){
        this.displayTypeStart = displayTypeStart;
    }

    /**
    * 获取 结束 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @return $displayTypeEnd
    */
    public Integer getDisplayTypeEnd(){
        return this.displayTypeEnd;
    }

    /**
    * 设置 结束 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeEnd
    */
    public void setDisplayTypeEnd(Integer displayTypeEnd){
        this.displayTypeEnd = displayTypeEnd;
    }

    /**
    * 获取 增加 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @return displayTypeIncrement
    */
    public Integer getDisplayTypeIncrement(){
        return this.displayTypeIncrement;
    }

    /**
    * 设置 增加 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeIncrement
    */
    public void setDisplayTypeIncrement(Integer displayTypeIncrement){
        this.displayTypeIncrement = displayTypeIncrement;
    }

    /**
    * 获取 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @return displayTypeList
    */
    public List<Integer> getDisplayTypeList(){
        return this.displayTypeList;
    }

    /**
    * 设置 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeList
    */
    public void setDisplayTypeList(List<Integer> displayTypeList){
        this.displayTypeList = displayTypeList;
    }

    /**
    * 获取 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @return displayTypeNotList
    */
    public List<Integer> getDisplayTypeNotList(){
        return this.displayTypeNotList;
    }

    /**
    * 设置 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeNotList
    */
    public void setDisplayTypeNotList(List<Integer> displayTypeNotList){
        this.displayTypeNotList = displayTypeNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return updateUserNameNotList
    */
    public List<String> getUpdateUserNameNotList(){
        return this.updateUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameNotList
    */
    public void setUpdateUserNameNotList(List<String> updateUserNameNotList){
        this.updateUserNameNotList = updateUserNameNotList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public ParamQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public ParamQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public ParamQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public ParamQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public ParamQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public ParamQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 参数名称
    * @param name
    */
    public ParamQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 参数名称
    * @param nameList
    */
    public ParamQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 一级组织，如：平台配置
    * @param firstOrganize
    */
    public ParamQuery firstOrganize(String firstOrganize){
        setFirstOrganize(firstOrganize);
		return this;
    }

    /**
    * 设置 一级组织，如：平台配置
    * @param firstOrganizeList
    */
    public ParamQuery firstOrganizeList(List<String> firstOrganizeList){
        this.firstOrganizeList = firstOrganizeList;
		return this;
    }


	/**
    * 设置 二级组织，如：基础配置
    * @param secondOrganize
    */
    public ParamQuery secondOrganize(String secondOrganize){
        setSecondOrganize(secondOrganize);
		return this;
    }

    /**
    * 设置 二级组织，如：基础配置
    * @param secondOrganizeList
    */
    public ParamQuery secondOrganizeList(List<String> secondOrganizeList){
        this.secondOrganizeList = secondOrganizeList;
		return this;
    }


	/**
    * 设置 参数键，全局唯一
    * @param paramKey
    */
    public ParamQuery paramKey(String paramKey){
        setParamKey(paramKey);
		return this;
    }

    /**
    * 设置 参数键，全局唯一
    * @param paramKeyList
    */
    public ParamQuery paramKeyList(List<String> paramKeyList){
        this.paramKeyList = paramKeyList;
		return this;
    }


	/**
    * 设置 参数值
    * @param paramValue
    */
    public ParamQuery paramValue(String paramValue){
        setParamValue(paramValue);
		return this;
    }

    /**
    * 设置 参数值
    * @param paramValueList
    */
    public ParamQuery paramValueList(List<String> paramValueList){
        this.paramValueList = paramValueList;
		return this;
    }

    /**
    * 设置  参数有效状态(0.禁用，1.启用)
    * @param validStatus
    */
    public ParamQuery validStatus(Integer validStatus){
	    setValidStatus(validStatus);
		return this;
    }
	
	 /**
    * 设置 开始 参数有效状态(0.禁用，1.启用)
    * @param validStatusStart
    */
    public ParamQuery validStatusStart(Integer validStatusStart){
		this.validStatusStart = validStatusStart;
		return this;
    }

    /**
    * 设置 结束 参数有效状态(0.禁用，1.启用)
    * @param validStatusEnd
    */
    public ParamQuery validStatusEnd(Integer validStatusEnd){
		this.validStatusEnd = validStatusEnd;
		return this;
    }

    /**
    * 设置 增加 参数有效状态(0.禁用，1.启用)
    * @param validStatusIncrement
    */
    public ParamQuery validStatusIncrement(Integer validStatusIncrement){
		this.validStatusIncrement = validStatusIncrement;
		return this;
    }

    /**
    * 设置 参数有效状态(0.禁用，1.启用)
    * @param validStatusList
    */
    public ParamQuery validStatusList(List<Integer> validStatusList){
        this.validStatusList = validStatusList;
		return this;
        }

        /**
        * 设置 参数有效状态(0.禁用，1.启用)
        * @param validStatusNotList
        */
        public ParamQuery validStatusNotList(List<Integer> validStatusNotList){
        this.validStatusNotList = validStatusNotList;
        return this;
        }

    /**
    * 设置  参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatus
    */
    public ParamQuery modStatus(Integer modStatus){
	    setModStatus(modStatus);
		return this;
    }
	
	 /**
    * 设置 开始 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusStart
    */
    public ParamQuery modStatusStart(Integer modStatusStart){
		this.modStatusStart = modStatusStart;
		return this;
    }

    /**
    * 设置 结束 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusEnd
    */
    public ParamQuery modStatusEnd(Integer modStatusEnd){
		this.modStatusEnd = modStatusEnd;
		return this;
    }

    /**
    * 设置 增加 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusIncrement
    */
    public ParamQuery modStatusIncrement(Integer modStatusIncrement){
		this.modStatusIncrement = modStatusIncrement;
		return this;
    }

    /**
    * 设置 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
    * @param modStatusList
    */
    public ParamQuery modStatusList(List<Integer> modStatusList){
        this.modStatusList = modStatusList;
		return this;
        }

        /**
        * 设置 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
        * @param modStatusNotList
        */
        public ParamQuery modStatusNotList(List<Integer> modStatusNotList){
        this.modStatusNotList = modStatusNotList;
        return this;
        }

    /**
    * 设置  展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayType
    */
    public ParamQuery displayType(Integer displayType){
	    setDisplayType(displayType);
		return this;
    }
	
	 /**
    * 设置 开始 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeStart
    */
    public ParamQuery displayTypeStart(Integer displayTypeStart){
		this.displayTypeStart = displayTypeStart;
		return this;
    }

    /**
    * 设置 结束 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeEnd
    */
    public ParamQuery displayTypeEnd(Integer displayTypeEnd){
		this.displayTypeEnd = displayTypeEnd;
		return this;
    }

    /**
    * 设置 增加 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeIncrement
    */
    public ParamQuery displayTypeIncrement(Integer displayTypeIncrement){
		this.displayTypeIncrement = displayTypeIncrement;
		return this;
    }

    /**
    * 设置 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
    * @param displayTypeList
    */
    public ParamQuery displayTypeList(List<Integer> displayTypeList){
        this.displayTypeList = displayTypeList;
		return this;
        }

        /**
        * 设置 展现类型 (0.普通文本框，1.多行文本框，2.开关，3.块输入框)
        * @param displayTypeNotList
        */
        public ParamQuery displayTypeNotList(List<Integer> displayTypeNotList){
        this.displayTypeNotList = displayTypeNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public ParamQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public ParamQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ParamQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ParamQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ParamQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ParamQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ParamQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ParamQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public ParamQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public ParamQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ParamQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ParamQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ParamQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ParamQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ParamQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public ParamQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param updateUserName
    */
    public ParamQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameList
    */
    public ParamQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ParamQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ParamQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ParamQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ParamQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}